%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name HUnit
%define f_pkg_name hunit
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 1.2.0.3
Release: alt6.1
License: BSD3
Packager: Maxim Ivanov <redbaron@altlinux.org>
Group: Development/Haskell
URL: http://hackage.haskell.org/cgi-bin/hackage-scripts/package/HUnit
Source: %h_pkg_name-%version.tar
Summary: A unit testing framework for Haskell
BuildRequires: ghc haddock %hs_package_dependencies
BuildRequires(pre): rpm-build-haskell


%description
HUnit is a unit testing framework for Haskell, inspired by the
JUnit tool for Java.


%prep
%setup -n %h_pkg_name-%version


%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
%doc LICENSE


%changelog
* Tue Dec 07 2010 Denis Smirnov <mithraen@altlinux.ru> 1.2.0.3-alt6.1
- rebuild with ghc 7.0/var/lib/altlinux/sisyphus/files/SRPMS/ghc-ansi-terminal-0.5.3-alt1.src.rpm

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 1.2.0.3-alt6
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 1.2.0.3-alt5
- auto rebuild

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 1.2.0.3-alt2
- ghc 6.12.3

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 1.2.0.3-alt1.1.1
- rebuild with new haskell

* Wed Mar 17 2010 Denis Smirnov <mithraen@altlinux.ru> 1.2.0.3-alt1.1
- rebuild with new haskell

* Mon May 25 2009 Ivanov Maxim <redbaron@altlinux.org> 1.2.0.3-alt1
- Initial build for ALTLinux
